Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\REST\Common\Output\ValueObjectVisitorDispatcher Class Reference

Dispatches value objects to a visitor depending on the class name. More...

## Public Member Functions
| setOutputVisitor (Visitor $outputVisitor)
| setOutputGenerator (Generator $outputGenerator)
| addVisitor ($visitedClassName, ValueObjectVisitor $visitor)
| visit ($data)

## Private Attributes
| $visitors
| $outputVisitor
| $outputGenerator

## Detailed Description

Dispatches value objects to a visitor depending on the class name.

Definition at line 12 of file ValueObjectVisitorDispatcher.php.

## Member Function Documentation

## ◆ addVisitor()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitorDispatcher::addVisitor | ( |  | $visitedClassName,
|  | ValueObjectVisitor | $visitor
| ) |  |

Parameters

  string | $visitedClassName | The FQN of the visited class
  \eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor | $visitor | The visitor object

Definition at line 37 of file ValueObjectVisitorDispatcher.php.

## ◆ setOutputGenerator()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitorDispatcher::setOutputGenerator | ( | Generator | $outputGenerator | ) |

Definition at line 28 of file ValueObjectVisitorDispatcher.php.

References eZ\Publish\Core\REST\Common\Output\ValueObjectVisitorDispatcher\$outputGenerator.

## ◆ setOutputVisitor()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitorDispatcher::setOutputVisitor | ( | Visitor | $outputVisitor | ) |

Definition at line 23 of file ValueObjectVisitorDispatcher.php.

References eZ\Publish\Core\REST\Common\Output\ValueObjectVisitorDispatcher\$outputVisitor.

## ◆ visit()

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitorDispatcher::visit | ( |  | $data | ) |

Parameters

  object | $data | The visited object

Exceptions

Definition at line 50 of file ValueObjectVisitorDispatcher.php.

## Member Data Documentation

## ◆ $outputGenerator

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitorDispatcher::$outputGenerator
| private

Definition at line 21 of file ValueObjectVisitorDispatcher.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitorDispatcher\setOutputGenerator().

## ◆ $outputVisitor

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitorDispatcher::$outputVisitor
| private

Definition at line 18 of file ValueObjectVisitorDispatcher.php.

Referenced by eZ\Publish\Core\REST\Common\Output\ValueObjectVisitorDispatcher\setOutputVisitor().

## ◆ $visitors

eZ\Publish\Core\REST\Common\Output\ValueObjectVisitorDispatcher::$visitors
| private

Definition at line 15 of file ValueObjectVisitorDispatcher.php.

The documentation for this class was generated from the following file:

- ValueObjectVisitorDispatcher.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.